/*
 *  carac.h
 *  Calcul
 *
 *  Created by Thomas Jannaud on 01/02/08.
 *  Copyright 2008 __Jannaud's Technical Company__. All rights reserved.
 *
 */
#include <iostream>

enum GENRE {fonction, grossefonc, signe, variab};
class carac {
public:
	GENRE mongenre;
	char lechar; // S : sin, C : cos, E : exp, L : log, T : tan, A : abs, B : asn, D : acn, F : atn, ou un signe
	arbre* larbre;
	
	carac::carac(char c) {
		lechar = c;
		if (c == '+' or c == '_' or c == '*' or c == '/')
			mongenre = signe;
		else if (c == 'Y' or c == 'Z')
			mongenre = grossefonc;
		else
			mongenre = fonction;
	}
	carac::carac(arbre* a) {
		mongenre = variab;
		larbre = a;
	}
	carac::~carac() {delete larbre;}	
};
