/*
 *  grossesfonctions.h
 *  Calcul
 *
 *  Created by Thomas Jannaud on 02/02/08.
 *  Copyright 2008 __Jannaud's Technical Company__. All rights reserved.
 *
 */

#include <stdio.h>
#include <map>
#include <string>

using namespace std;

enum GROF{somme, produit};

class grossesfonctions : public noeud {
public:
	grossesfonctions::grossesfonctions(arbre *, char, char, arbre*, arbre*, arbre*);
	grossesfonctions::grossesfonctions(const grossesfonctions &);
	double evalue(map<char,double>);
	string to_string();
	bool isvariable(double x) {return false;}
	arbre * deriver(char);
	bool occurence(char);
	arbre * clone();
	arbre * reduire();
	~grossesfonctions() {delete debut; delete fin; delete pas;};
private:
	GROF operateur;
	arbre* debut, *fin, *pas;
	char vari;
};
