/*
 *  noeud.h
 *  calcul
 *
 *  Created by Thomas Jannaud on 30/01/08.
 *  Copyright 2008 __Jannaud's Technical Company__. All rights reserved.
 *
 */

#include <map>
#include <string>

class noeud : public arbre{
 public:
 arbre * fils_g;
 arbre * fils_d;
noeud::noeud(arbre * a, arbre * b) {fils_g = a;  fils_d = b;}
noeud::noeud(const noeud & rhs) {fils_g = ((rhs.fils_g == 0) ? 0 : fils_g->clone()); fils_d = ((rhs.fils_d == 0) ? 0 : fils_d->clone());}
virtual	bool isvariable(double) = 0;
virtual arbre* clone() = 0;
virtual arbre* reduire() = 0;
 virtual arbre * deriver(char) = 0;
 virtual	bool occurence(char) = 0;
 virtual double evalue(std::map<char,double> t) = 0;
 virtual std::string to_string() = 0;
~noeud() {delete fils_g; delete fils_d;};
 };
