/*
 *  operateurunaire.h
 *  Calcul
 *
 *  Created by Thomas Jannaud on 31/01/08.
 *  Copyright 2008 __Jannaud's Technical Company__. All rights reserved.
 *
 */

#include <stdio.h>
#include <map>
#include <cmath>
#include <string>

using namespace std;

class operateurunaire : public noeud {
public:
	operateurunaire::operateurunaire(arbre *, char);
	operateurunaire::operateurunaire(const operateurunaire &);
	double evalue(map<char,double>);
	bool isvariable(double x) {return false;}
	bool occurence(char);
	arbre* deriver(char x);
	arbre* reduire();
	char operateur;
	arbre* clone();
	string to_string();
	~operateurunaire() {};
	static map<char, string> equiv;	
};