/*
 *  main.cpp
 *  calcul
 *
 *  Created by Thomas Jannaud on 27/01/08.
 *  Copyright 2008 __Jannaud's Technical Company__. All rights reserved.
 *
 */

#include <iostream>
#include <stdio.h>
#include <map>
#include <list>
#include <time.h>
#include <stdlib.h>
#include "arbre.h"
#include "Variable.h"
#include "noeud.h"
#include "operateurbinaire.h"
#include "operateurunaire.h"
#include "grossesfonctions.h"
#include "carac.h"
#include "Lexeur.h"

void initialiser() {
	operateurunaire::equiv['C'] = "cos";
	operateurunaire::equiv['S'] = "sin";
	operateurunaire::equiv['R'] = "sqr";
	operateurunaire::equiv['T'] = "tan";
	operateurunaire::equiv['L'] = "log";
	operateurunaire::equiv['E'] = "exp";
	operateurunaire::equiv['D'] = "asin";
	operateurunaire::equiv['B'] = "atan";
	operateurunaire::equiv['F'] = "acos";
	operateurunaire::equiv['A'] = "abs";
	operateurunaire::equiv['G'] = "sig";
srand (time(NULL));

}

int main (int argc, char * const argv[]) {
	
	initialiser();
	map<char, double> table;
	arbre * a = tout_faire("sin(log(x + 2))");
	cout << a->to_string() << endl;
	arbre * b = a->deriver('x');
	cout << b->to_string() << endl;	
	arbre * c = b->reduire();
	cout << c->to_string() << endl;	
	table['x']=5;
	printf("%f\n", a->evalue(table));
	return 0;
}
